apiVersion: apps/v1
kind: Deployment
metadata:
  name: nephele-frontend
  namespace: nephele-platform
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nephele-frontend
  template:
    metadata:
      labels:
        app: nephele-frontend
    spec:
      containers:
      - name: nephele-frontend
        image: nepheleproject/frontend:latest
        env:
          - name: VUE_APP_BASE_API_URL
            value: {{ .Values.baseAPIURL }}
          - name: VUE_APP_I18N_LOCALE
            value: "en-US"
          - name: VUE_APP_I18N_FALLBACK_LOCALE
            value: "en-US"
        ports:
        - name: vue
          containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: nephele-frontend
  namespace: nephele-platform
  labels:
    app: nephele-frontend
spec:
  ports:
  - name: vue
    port: 80
    targetPort: 80
  selector:
    app: nephele-frontend
  type: ClusterIP

